Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.encoding
Interface TypeMappingRegistry

All Superinterfaces:
  java.io.Serializable, TypeMappingRegistry

All Known Implementing Classes:
  TypeMappingRegistryImpl

public interface TypeMappingRegistry
extends TypeMappingRegistry, java.io.Serializable

This interface describes the AXIS TypeMappingRegistry.

Method Summary
`void` | `delegate(TypeMappingRegistry secondaryTMR)` delegate Changes the contained type mappings to delegate to their corresponding types in the secondary TMR.
`TypeMapping` | `getOrMakeTypeMapping(java.lang.String encodingStyle)` Obtain a type mapping for the given encoding style.

Methods inherited from interface javax.xml.rpc.encoding.TypeMappingRegistry
`clear, createTypeMapping, getDefaultTypeMapping, getRegisteredEncodingStyleURIs, getTypeMapping, register, registerDefault, removeTypeMapping, unregisterTypeMapping`

Method Detail

### delegate

    public void delegate(TypeMappingRegistry secondaryTMR)

  delegate Changes the contained type mappings to delegate to their corresponding types in the secondary TMR.

### getOrMakeTypeMapping

    public TypeMapping getOrMakeTypeMapping(java.lang.String encodingStyle)

  Obtain a type mapping for the given encoding style. If no specific mapping exists for this encoding style, we will create and register one before returning it.

  Parameters:
    `encodingStyle` -
  Returns:
    a registered TypeMapping for the given encoding style

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.